Makefile.in
上传用户:wstnjxml
上传日期:2014-04-03
资源大小:7248k
文件大小:20k
源码类别:

Windows CE

开发平台:

C/C++

  1. # Makefile.in generated by automake 1.8.5 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004  Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #  FLAC - Free Lossless Audio Codec
  14. #  Copyright (C) 2001,2002,2003,2004,2005  Josh Coalson
  15. #
  16. #  This file is part the FLAC project.  FLAC is comprised of several
  17. #  components distributed under difference licenses.  The codec libraries
  18. #  are distributed under Xiph.Org's BSD-like license (see the file
  19. #  COPYING.Xiph in this distribution).  All other programs, libraries, and
  20. #  plugins are distributed under the GPL (see COPYING.GPL).  The documentation
  21. #  is distributed under the Gnu FDL (see COPYING.FDL).  Each file in the
  22. #  FLAC distribution contains at the top the terms under which it may be
  23. #  distributed.
  24. #
  25. #  Since this particular file is relevant to all components of FLAC,
  26. #  it may be distributed under the Xiph.Org license, which is the least
  27. #  restrictive of those mentioned above.  See the file COPYING.Xiph in this
  28. #  distribution.
  29. srcdir = @srcdir@
  30. top_srcdir = @top_srcdir@
  31. VPATH = @srcdir@
  32. pkgdatadir = $(datadir)/@PACKAGE@
  33. pkglibdir = $(libdir)/@PACKAGE@
  34. pkgincludedir = $(includedir)/@PACKAGE@
  35. top_builddir = ..
  36. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  37. INSTALL = @INSTALL@
  38. install_sh_DATA = $(install_sh) -c -m 644
  39. install_sh_PROGRAM = $(install_sh) -c
  40. install_sh_SCRIPT = $(install_sh) -c
  41. INSTALL_HEADER = $(INSTALL_DATA)
  42. transform = $(program_transform_name)
  43. NORMAL_INSTALL = :
  44. PRE_INSTALL = :
  45. POST_INSTALL = :
  46. NORMAL_UNINSTALL = :
  47. PRE_UNINSTALL = :
  48. POST_UNINSTALL = :
  49. host_triplet = @host@
  50. subdir = test
  51. DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
  52. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  53. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  54. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) 
  55. $(ACLOCAL_M4)
  56. mkinstalldirs = $(mkdir_p)
  57. CONFIG_HEADER = $(top_builddir)/config.h
  58. CONFIG_CLEAN_FILES =
  59. SOURCES =
  60. DIST_SOURCES =
  61. RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive 
  62. html-recursive info-recursive install-data-recursive 
  63. install-exec-recursive install-info-recursive 
  64. install-recursive installcheck-recursive installdirs-recursive 
  65. pdf-recursive ps-recursive uninstall-info-recursive 
  66. uninstall-recursive
  67. ETAGS = etags
  68. CTAGS = ctags
  69. DIST_SUBDIRS = $(SUBDIRS)
  70. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  71. ACLOCAL = @ACLOCAL@
  72. AMDEP_FALSE = @AMDEP_FALSE@
  73. AMDEP_TRUE = @AMDEP_TRUE@
  74. AMTAR = @AMTAR@
  75. AS = @AS@
  76. AUTOCONF = @AUTOCONF@
  77. AUTOHEADER = @AUTOHEADER@
  78. AUTOMAKE = @AUTOMAKE@
  79. AWK = @AWK@
  80. CC = @CC@
  81. CCAS = @CCAS@
  82. CCASFLAGS = @CCASFLAGS@
  83. CCDEPMODE = @CCDEPMODE@
  84. CFLAGS = @CFLAGS@
  85. CPP = @CPP@
  86. CPPFLAGS = @CPPFLAGS@
  87. CXX = @CXX@
  88. CXXDEPMODE = @CXXDEPMODE@
  89. CXXFLAGS = @CXXFLAGS@
  90. CYGPATH_W = @CYGPATH_W@
  91. DEBUG_FALSE = @DEBUG_FALSE@
  92. DEBUG_TRUE = @DEBUG_TRUE@
  93. DEFS = @DEFS@
  94. DEPDIR = @DEPDIR@
  95. DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
  96. DOXYGEN = @DOXYGEN@
  97. ECHO = @ECHO@
  98. ECHO_C = @ECHO_C@
  99. ECHO_N = @ECHO_N@
  100. ECHO_T = @ECHO_T@
  101. EGREP = @EGREP@
  102. EXEEXT = @EXEEXT@
  103. FLaC__CPU_IA32_FALSE = @FLaC__CPU_IA32_FALSE@
  104. FLaC__CPU_IA32_TRUE = @FLaC__CPU_IA32_TRUE@
  105. FLaC__CPU_PPC_FALSE = @FLaC__CPU_PPC_FALSE@
  106. FLaC__CPU_PPC_TRUE = @FLaC__CPU_PPC_TRUE@
  107. FLaC__CPU_SPARC_FALSE = @FLaC__CPU_SPARC_FALSE@
  108. FLaC__CPU_SPARC_TRUE = @FLaC__CPU_SPARC_TRUE@
  109. FLaC__EXHAUSTIVE_TESTS_FALSE = @FLaC__EXHAUSTIVE_TESTS_FALSE@
  110. FLaC__EXHAUSTIVE_TESTS_TRUE = @FLaC__EXHAUSTIVE_TESTS_TRUE@
  111. FLaC__HAS_AS_FALSE = @FLaC__HAS_AS_FALSE@
  112. FLaC__HAS_AS_TRUE = @FLaC__HAS_AS_TRUE@
  113. FLaC__HAS_AS__TEMPORARILY_DISABLED_FALSE = @FLaC__HAS_AS__TEMPORARILY_DISABLED_FALSE@
  114. FLaC__HAS_AS__TEMPORARILY_DISABLED_TRUE = @FLaC__HAS_AS__TEMPORARILY_DISABLED_TRUE@
  115. FLaC__HAS_DOCBOOK_TO_MAN_FALSE = @FLaC__HAS_DOCBOOK_TO_MAN_FALSE@
  116. FLaC__HAS_DOCBOOK_TO_MAN_TRUE = @FLaC__HAS_DOCBOOK_TO_MAN_TRUE@
  117. FLaC__HAS_DOXYGEN_FALSE = @FLaC__HAS_DOXYGEN_FALSE@
  118. FLaC__HAS_DOXYGEN_TRUE = @FLaC__HAS_DOXYGEN_TRUE@
  119. FLaC__HAS_GAS_FALSE = @FLaC__HAS_GAS_FALSE@
  120. FLaC__HAS_GAS_TRUE = @FLaC__HAS_GAS_TRUE@
  121. FLaC__HAS_GAS__TEMPORARILY_DISABLED_FALSE = @FLaC__HAS_GAS__TEMPORARILY_DISABLED_FALSE@
  122. FLaC__HAS_GAS__TEMPORARILY_DISABLED_TRUE = @FLaC__HAS_GAS__TEMPORARILY_DISABLED_TRUE@
  123. FLaC__HAS_NASM_FALSE = @FLaC__HAS_NASM_FALSE@
  124. FLaC__HAS_NASM_TRUE = @FLaC__HAS_NASM_TRUE@
  125. FLaC__HAS_OGG_FALSE = @FLaC__HAS_OGG_FALSE@
  126. FLaC__HAS_OGG_TRUE = @FLaC__HAS_OGG_TRUE@
  127. FLaC__HAS_XMMS_FALSE = @FLaC__HAS_XMMS_FALSE@
  128. FLaC__HAS_XMMS_TRUE = @FLaC__HAS_XMMS_TRUE@
  129. FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_FALSE = @FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_FALSE@
  130. FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_TRUE = @FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_TRUE@
  131. FLaC__NO_ASM_FALSE = @FLaC__NO_ASM_FALSE@
  132. FLaC__NO_ASM_TRUE = @FLaC__NO_ASM_TRUE@
  133. FLaC__SSE_OS_FALSE = @FLaC__SSE_OS_FALSE@
  134. FLaC__SSE_OS_TRUE = @FLaC__SSE_OS_TRUE@
  135. FLaC__SYS_DARWIN_FALSE = @FLaC__SYS_DARWIN_FALSE@
  136. FLaC__SYS_DARWIN_TRUE = @FLaC__SYS_DARWIN_TRUE@
  137. FLaC__SYS_LINUX_FALSE = @FLaC__SYS_LINUX_FALSE@
  138. FLaC__SYS_LINUX_TRUE = @FLaC__SYS_LINUX_TRUE@
  139. FLaC__USE_3DNOW_FALSE = @FLaC__USE_3DNOW_FALSE@
  140. FLaC__USE_3DNOW_TRUE = @FLaC__USE_3DNOW_TRUE@
  141. FLaC__USE_ALTIVEC_FALSE = @FLaC__USE_ALTIVEC_FALSE@
  142. FLaC__USE_ALTIVEC_TRUE = @FLaC__USE_ALTIVEC_TRUE@
  143. FLaC__VALGRIND_TESTING_FALSE = @FLaC__VALGRIND_TESTING_FALSE@
  144. FLaC__VALGRIND_TESTING_TRUE = @FLaC__VALGRIND_TESTING_TRUE@
  145. GAS = @GAS@
  146. INSTALL_DATA = @INSTALL_DATA@
  147. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  148. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  149. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  150. LDFLAGS = @LDFLAGS@
  151. LIBICONV = @LIBICONV@
  152. LIBOBJS = @LIBOBJS@
  153. LIBS = @LIBS@
  154. LIBTOOL = @LIBTOOL@
  155. LN_S = @LN_S@
  156. LTLIBICONV = @LTLIBICONV@
  157. LTLIBOBJS = @LTLIBOBJS@
  158. MAINT = @MAINT@
  159. MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
  160. MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
  161. MAKEINFO = @MAKEINFO@
  162. NASM = @NASM@
  163. OBJEXT = @OBJEXT@
  164. OBJ_FORMAT = @OBJ_FORMAT@
  165. OGG_CFLAGS = @OGG_CFLAGS@
  166. OGG_LIBS = @OGG_LIBS@
  167. PACKAGE = @PACKAGE@
  168. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  169. PACKAGE_NAME = @PACKAGE_NAME@
  170. PACKAGE_STRING = @PACKAGE_STRING@
  171. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  172. PACKAGE_VERSION = @PACKAGE_VERSION@
  173. PATH_SEPARATOR = @PATH_SEPARATOR@
  174. RANLIB = @RANLIB@
  175. SET_MAKE = @SET_MAKE@
  176. SHELL = @SHELL@
  177. STRIP = @STRIP@
  178. VERSION = @VERSION@
  179. XMMS_CFLAGS = @XMMS_CFLAGS@
  180. XMMS_CONFIG = @XMMS_CONFIG@
  181. XMMS_DATA_DIR = @XMMS_DATA_DIR@
  182. XMMS_EFFECT_PLUGIN_DIR = @XMMS_EFFECT_PLUGIN_DIR@
  183. XMMS_GENERAL_PLUGIN_DIR = @XMMS_GENERAL_PLUGIN_DIR@
  184. XMMS_INPUT_PLUGIN_DIR = @XMMS_INPUT_PLUGIN_DIR@
  185. XMMS_LIBS = @XMMS_LIBS@
  186. XMMS_OUTPUT_PLUGIN_DIR = @XMMS_OUTPUT_PLUGIN_DIR@
  187. XMMS_PLUGIN_DIR = @XMMS_PLUGIN_DIR@
  188. XMMS_VERSION = @XMMS_VERSION@
  189. XMMS_VISUALIZATION_PLUGIN_DIR = @XMMS_VISUALIZATION_PLUGIN_DIR@
  190. ac_ct_CC = @ac_ct_CC@
  191. ac_ct_CXX = @ac_ct_CXX@
  192. ac_ct_RANLIB = @ac_ct_RANLIB@
  193. ac_ct_STRIP = @ac_ct_STRIP@
  194. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  195. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  196. am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
  197. am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
  198. am__include = @am__include@
  199. am__leading_dot = @am__leading_dot@
  200. am__quote = @am__quote@
  201. bindir = @bindir@
  202. build = @build@
  203. build_alias = @build_alias@
  204. build_cpu = @build_cpu@
  205. build_os = @build_os@
  206. build_vendor = @build_vendor@
  207. datadir = @datadir@
  208. exec_prefix = @exec_prefix@
  209. host = @host@
  210. host_alias = @host_alias@
  211. host_cpu = @host_cpu@
  212. host_os = @host_os@
  213. host_vendor = @host_vendor@
  214. includedir = @includedir@
  215. infodir = @infodir@
  216. install_sh = @install_sh@
  217. libdir = @libdir@
  218. libexecdir = @libexecdir@
  219. localstatedir = @localstatedir@
  220. mandir = @mandir@
  221. mkdir_p = @mkdir_p@
  222. oldincludedir = @oldincludedir@
  223. prefix = @prefix@
  224. program_transform_name = @program_transform_name@
  225. sbindir = @sbindir@
  226. sharedstatedir = @sharedstatedir@
  227. sysconfdir = @sysconfdir@
  228. target_alias = @target_alias@
  229. @FLaC__EXHAUSTIVE_TESTS_FALSE@FLAC__EXHAUSTIVE_TESTS = no
  230. @FLaC__EXHAUSTIVE_TESTS_TRUE@FLAC__EXHAUSTIVE_TESTS = yes
  231. @FLaC__VALGRIND_TESTING_FALSE@FLAC__VALGRIND = no
  232. @FLaC__VALGRIND_TESTING_TRUE@FLAC__VALGRIND = yes
  233. TESTS_ENVIRONMENT = FLAC__EXHAUSTIVE_TESTS=$(FLAC__EXHAUSTIVE_TESTS) FLAC__VALGRIND=$(FLAC__VALGRIND)
  234. SUBDIRS = cuesheets
  235. @FLaC__HAS_OGG_TRUE@OGG_TESTS = 
  236. @FLaC__HAS_OGG_TRUE@ ./test_libOggFLAC.sh 
  237. @FLaC__HAS_OGG_TRUE@ ./test_libOggFLAC++.sh
  238. TESTS = 
  239. ./test_libFLAC.sh 
  240. ./test_libFLAC++.sh 
  241. $(OGG_TESTS) 
  242. ./test_flac.sh 
  243. ./test_metaflac.sh 
  244. ./test_grabbag.sh 
  245. ./test_seeking.sh 
  246. ./test_streams.sh 
  247. ./test_bins.sh
  248. EXTRA_DIST = 
  249. Makefile.lite 
  250. cuesheet.ok 
  251. metaflac.flac.in 
  252. metaflac.flac.ok 
  253. test_libFLAC.sh 
  254. test_libFLAC++.sh 
  255. test_libOggFLAC.sh 
  256. test_libOggFLAC++.sh 
  257. test_flac.sh 
  258. test_metaflac.sh 
  259. test_grabbag.sh 
  260. test_seeking.sh 
  261. test_streams.sh 
  262. test_bins.sh
  263. CLEANFILES = 
  264. $(wildcard *.raw) 
  265. $(wildcard *.flac) 
  266. $(wildcard *.ogg) 
  267. $(wildcard *.cmp) 
  268. $(wildcard *.aiff) 
  269. $(wildcard *.wav) 
  270. $(wildcard *.diff) 
  271. $(wildcard *.log) 
  272. $(wildcard *.cue) 
  273. core
  274. all: all-recursive
  275. .SUFFIXES:
  276. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  277. @for dep in $?; do 
  278.   case '$(am__configure_deps)' in 
  279.     *$$dep*) 
  280.       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh 
  281. && exit 0; 
  282.       exit 1;; 
  283.   esac; 
  284. done; 
  285. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/Makefile'; 
  286. cd $(top_srcdir) && 
  287.   $(AUTOMAKE) --foreign  test/Makefile
  288. .PRECIOUS: Makefile
  289. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  290. @case '$?' in 
  291.   *config.status*) 
  292.     cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; 
  293.   *) 
  294.     echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; 
  295.     cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; 
  296. esac;
  297. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  298. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  299. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  300. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  301. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  302. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  303. mostlyclean-libtool:
  304. -rm -f *.lo
  305. clean-libtool:
  306. -rm -rf .libs _libs
  307. distclean-libtool:
  308. -rm -f libtool
  309. uninstall-info-am:
  310. # This directory's subdirectories are mostly independent; you can cd
  311. # into them and run `make' without going through this Makefile.
  312. # To change the values of `make' variables: instead of editing Makefiles,
  313. # (1) if the variable is set in `config.status', edit `config.status'
  314. #     (which will cause the Makefiles to be regenerated when you run `make');
  315. # (2) otherwise, pass the desired values on the `make' command line.
  316. $(RECURSIVE_TARGETS):
  317. @set fnord $$MAKEFLAGS; amf=$$2; 
  318. dot_seen=no; 
  319. target=`echo $@ | sed s/-recursive//`; 
  320. list='$(SUBDIRS)'; for subdir in $$list; do 
  321.   echo "Making $$target in $$subdir"; 
  322.   if test "$$subdir" = "."; then 
  323.     dot_seen=yes; 
  324.     local_target="$$target-am"; 
  325.   else 
  326.     local_target="$$target"; 
  327.   fi; 
  328.   (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) 
  329.    || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; 
  330. done; 
  331. if test "$$dot_seen" = "no"; then 
  332.   $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; 
  333. fi; test -z "$$fail"
  334. mostlyclean-recursive clean-recursive distclean-recursive 
  335. maintainer-clean-recursive:
  336. @set fnord $$MAKEFLAGS; amf=$$2; 
  337. dot_seen=no; 
  338. case "$@" in 
  339.   distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; 
  340.   *) list='$(SUBDIRS)' ;; 
  341. esac; 
  342. rev=''; for subdir in $$list; do 
  343.   if test "$$subdir" = "."; then :; else 
  344.     rev="$$subdir $$rev"; 
  345.   fi; 
  346. done; 
  347. rev="$$rev ."; 
  348. target=`echo $@ | sed s/-recursive//`; 
  349. for subdir in $$rev; do 
  350.   echo "Making $$target in $$subdir"; 
  351.   if test "$$subdir" = "."; then 
  352.     local_target="$$target-am"; 
  353.   else 
  354.     local_target="$$target"; 
  355.   fi; 
  356.   (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) 
  357.    || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; 
  358. done && test -z "$$fail"
  359. tags-recursive:
  360. list='$(SUBDIRS)'; for subdir in $$list; do 
  361.   test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); 
  362. done
  363. ctags-recursive:
  364. list='$(SUBDIRS)'; for subdir in $$list; do 
  365.   test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); 
  366. done
  367. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  368. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; 
  369. unique=`for i in $$list; do 
  370.     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; 
  371.   done | 
  372.   $(AWK) '    { files[$$0] = 1; } 
  373.        END { for (i in files) print i; }'`; 
  374. mkid -fID $$unique
  375. tags: TAGS
  376. TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) 
  377. $(TAGS_FILES) $(LISP)
  378. tags=; 
  379. here=`pwd`; 
  380. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then 
  381.   include_option=--etags-include; 
  382.   empty_fix=.; 
  383. else 
  384.   include_option=--include; 
  385.   empty_fix=; 
  386. fi; 
  387. list='$(SUBDIRS)'; for subdir in $$list; do 
  388.   if test "$$subdir" = .; then :; else 
  389.     test ! -f $$subdir/TAGS || 
  390.       tags="$$tags $$include_option=$$here/$$subdir/TAGS"; 
  391.   fi; 
  392. done; 
  393. list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; 
  394. unique=`for i in $$list; do 
  395.     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; 
  396.   done | 
  397.   $(AWK) '    { files[$$0] = 1; } 
  398.        END { for (i in files) print i; }'`; 
  399. if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else 
  400.   test -n "$$unique" || unique=$$empty_fix; 
  401.   $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) 
  402.     $$tags $$unique; 
  403. fi
  404. ctags: CTAGS
  405. CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) 
  406. $(TAGS_FILES) $(LISP)
  407. tags=; 
  408. here=`pwd`; 
  409. list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; 
  410. unique=`for i in $$list; do 
  411.     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; 
  412.   done | 
  413.   $(AWK) '    { files[$$0] = 1; } 
  414.        END { for (i in files) print i; }'`; 
  415. test -z "$(CTAGS_ARGS)$$tags$$unique" 
  416.   || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) 
  417.      $$tags $$unique
  418. GTAGS:
  419. here=`$(am__cd) $(top_builddir) && pwd` 
  420.   && cd $(top_srcdir) 
  421.   && gtags -i $(GTAGS_ARGS) $$here
  422. distclean-tags:
  423. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  424. check-TESTS: $(TESTS)
  425. @failed=0; all=0; xfail=0; xpass=0; skip=0; 
  426. srcdir=$(srcdir); export srcdir; 
  427. list='$(TESTS)'; 
  428. if test -n "$$list"; then 
  429.   for tst in $$list; do 
  430.     if test -f ./$$tst; then dir=./; 
  431.     elif test -f $$tst; then dir=; 
  432.     else dir="$(srcdir)/"; fi; 
  433.     if $(TESTS_ENVIRONMENT) $${dir}$$tst; then 
  434.       all=`expr $$all + 1`; 
  435.       case " $(XFAIL_TESTS) " in 
  436.       *" $$tst "*) 
  437. xpass=`expr $$xpass + 1`; 
  438. failed=`expr $$failed + 1`; 
  439. echo "XPASS: $$tst"; 
  440.       ;; 
  441.       *) 
  442. echo "PASS: $$tst"; 
  443.       ;; 
  444.       esac; 
  445.     elif test $$? -ne 77; then 
  446.       all=`expr $$all + 1`; 
  447.       case " $(XFAIL_TESTS) " in 
  448.       *" $$tst "*) 
  449. xfail=`expr $$xfail + 1`; 
  450. echo "XFAIL: $$tst"; 
  451.       ;; 
  452.       *) 
  453. failed=`expr $$failed + 1`; 
  454. echo "FAIL: $$tst"; 
  455.       ;; 
  456.       esac; 
  457.     else 
  458.       skip=`expr $$skip + 1`; 
  459.       echo "SKIP: $$tst"; 
  460.     fi; 
  461.   done; 
  462.   if test "$$failed" -eq 0; then 
  463.     if test "$$xfail" -eq 0; then 
  464.       banner="All $$all tests passed"; 
  465.     else 
  466.       banner="All $$all tests behaved as expected ($$xfail expected failures)"; 
  467.     fi; 
  468.   else 
  469.     if test "$$xpass" -eq 0; then 
  470.       banner="$$failed of $$all tests failed"; 
  471.     else 
  472.       banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; 
  473.     fi; 
  474.   fi; 
  475.   dashes="$$banner"; 
  476.   skipped=""; 
  477.   if test "$$skip" -ne 0; then 
  478.     skipped="($$skip tests were not run)"; 
  479.     test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || 
  480.       dashes="$$skipped"; 
  481.   fi; 
  482.   report=""; 
  483.   if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then 
  484.     report="Please report to $(PACKAGE_BUGREPORT)"; 
  485.     test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || 
  486.       dashes="$$report"; 
  487.   fi; 
  488.   dashes=`echo "$$dashes" | sed s/./=/g`; 
  489.   echo "$$dashes"; 
  490.   echo "$$banner"; 
  491.   test -z "$$skipped" || echo "$$skipped"; 
  492.   test -z "$$report" || echo "$$report"; 
  493.   echo "$$dashes"; 
  494.   test "$$failed" -eq 0; 
  495. else :; fi
  496. distdir: $(DISTFILES)
  497. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; 
  498. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; 
  499. list='$(DISTFILES)'; for file in $$list; do 
  500.   case $$file in 
  501.     $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; 
  502.     $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; 
  503.   esac; 
  504.   if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; 
  505.   dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; 
  506.   if test "$$dir" != "$$file" && test "$$dir" != "."; then 
  507.     dir="/$$dir"; 
  508.     $(mkdir_p) "$(distdir)$$dir"; 
  509.   else 
  510.     dir=''; 
  511.   fi; 
  512.   if test -d $$d/$$file; then 
  513.     if test -d $(srcdir)/$$file && test $$d != $(srcdir); then 
  514.       cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; 
  515.     fi; 
  516.     cp -pR $$d/$$file $(distdir)$$dir || exit 1; 
  517.   else 
  518.     test -f $(distdir)/$$file 
  519.     || cp -p $$d/$$file $(distdir)/$$file 
  520.     || exit 1; 
  521.   fi; 
  522. done
  523. list='$(SUBDIRS)'; for subdir in $$list; do 
  524.   if test "$$subdir" = .; then :; else 
  525.     test -d "$(distdir)/$$subdir" 
  526.     || mkdir "$(distdir)/$$subdir" 
  527.     || exit 1; 
  528.     (cd $$subdir && 
  529.       $(MAKE) $(AM_MAKEFLAGS) 
  530.         top_distdir="../$(top_distdir)" 
  531.         distdir="../$(distdir)/$$subdir" 
  532.         distdir) 
  533.       || exit 1; 
  534.   fi; 
  535. done
  536. check-am: all-am
  537. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  538. check: check-recursive
  539. all-am: Makefile
  540. installdirs: installdirs-recursive
  541. installdirs-am:
  542. install: install-recursive
  543. install-exec: install-exec-recursive
  544. install-data: install-data-recursive
  545. uninstall: uninstall-recursive
  546. install-am: all-am
  547. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  548. installcheck: installcheck-recursive
  549. install-strip:
  550. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" 
  551.   install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s 
  552.   `test -z '$(STRIP)' || 
  553.     echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  554. mostlyclean-generic:
  555. clean-generic:
  556. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  557. distclean-generic:
  558. -rm -f $(CONFIG_CLEAN_FILES)
  559. maintainer-clean-generic:
  560. @echo "This command is intended for maintainers to use"
  561. @echo "it deletes files that may require special tools to rebuild."
  562. clean: clean-recursive
  563. clean-am: clean-generic clean-libtool mostlyclean-am
  564. distclean: distclean-recursive
  565. -rm -f Makefile
  566. distclean-am: clean-am distclean-generic distclean-libtool 
  567. distclean-tags
  568. dvi: dvi-recursive
  569. dvi-am:
  570. html: html-recursive
  571. info: info-recursive
  572. info-am:
  573. install-data-am:
  574. install-exec-am:
  575. install-info: install-info-recursive
  576. install-man:
  577. installcheck-am:
  578. maintainer-clean: maintainer-clean-recursive
  579. -rm -f Makefile
  580. maintainer-clean-am: distclean-am maintainer-clean-generic
  581. mostlyclean: mostlyclean-recursive
  582. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  583. pdf: pdf-recursive
  584. pdf-am:
  585. ps: ps-recursive
  586. ps-am:
  587. uninstall-am: uninstall-info-am
  588. uninstall-info: uninstall-info-recursive
  589. .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-TESTS 
  590. check-am clean clean-generic clean-libtool clean-recursive 
  591. ctags ctags-recursive distclean distclean-generic 
  592. distclean-libtool distclean-recursive distclean-tags distdir 
  593. dvi dvi-am html html-am info info-am install install-am 
  594. install-data install-data-am install-exec install-exec-am 
  595. install-info install-info-am install-man install-strip 
  596. installcheck installcheck-am installdirs installdirs-am 
  597. maintainer-clean maintainer-clean-generic 
  598. maintainer-clean-recursive mostlyclean mostlyclean-generic 
  599. mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am 
  600. tags tags-recursive uninstall uninstall-am uninstall-info-am
  601. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  602. # Otherwise a system limit (for SysV at least) may be exceeded.
  603. .NOEXPORT: